Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"folder_name": "Outbound Agents",
"description": "Sales and support"
}
response = client.folders.create(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/folder/create \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"folder_name": "Outbound Agents",
"description": "Sales and support"
}'{
"success": true,
"folder": {
"folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Outbound Agents",
"description": "Sales and support",
"agent_ids": [],
"created_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"updated_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"_id": "69f9a4393fd42c4dfc2aaaa9"
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Folders
Create folder
Creates a new folder to organize agents.
POST
/
folder
/
create
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"folder_name": "Outbound Agents",
"description": "Sales and support"
}
response = client.folders.create(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/folder/create \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"folder_name": "Outbound Agents",
"description": "Sales and support"
}'{
"success": true,
"folder": {
"folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Outbound Agents",
"description": "Sales and support",
"agent_ids": [],
"created_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"updated_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"_id": "69f9a4393fd42c4dfc2aaaa9"
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Body
application/json
Request body for Create folder.

